Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.flow
Class FlowGlyphLayout

    java.lang.Object
      org.apache.batik.gvt.text.GlyphLayout
          org.apache.batik.gvt.flow.FlowGlyphLayout

All Implemented Interfaces:
  TextSpanLayout

    public class FlowGlyphLayout

extends GlyphLayout

One line Class Desc Complete Class Desc

Field Summary
`static char` | `SOFT_HYPHEN`
`static char` | `SPACE`
`static char` | `ZERO_WIDTH_JOINER`
`static char` | `ZERO_WIDTH_SPACE`

Fields inherited from class org.apache.batik.gvt.text.GlyphLayout
`eps, FLOW_EMPTY_PARAGRAPH, FLOW_LINE_BREAK, FLOW_PARAGRAPH, GVT_FONT, HORIZONTAL_ORIENTATION_ANGLE, LINE_HEIGHT, runAtts, szAtts, VERTICAL_ORIENTATION, VERTICAL_ORIENTATION_ANGLE`

Fields inherited from interface org.apache.batik.gvt.text.TextSpanLayout
`DECORATION_ALL, DECORATION_OVERLINE, DECORATION_STRIKETHROUGH, DECORATION_UNDERLINE`

Constructor Summary
`FlowGlyphLayout(AttributedCharacterIterator aci, int[] charMap, Point2D offset, FontRenderContext frc)`

Method Summary

Methods inherited from class org.apache.batik.gvt.text.GlyphLayout
`addPtsToPath, adjustTextSpacing, applyStretchTransform, doExplicitGlyphLayout, doPathLayout, doSpacing, draw, epsEQ, getAdvance2D, getBounds2D, getCharacterCount, getComputedOrientationAngle, getDecorationOutline, getFont, getGeometricBounds, getGlyphAdvances, getGlyphCount, getGlyphIndex, getGlyphMetrics, getGlyphOrientationAngle, getGlyphVector, getHighlightShape, getLastGlyphIndex, getLineMetrics, getOffset, getOutline, getOverlineShape, getStrikethroughShape, getTextPathAdvance, getUnderlineShape, hasCharacterIndex, hitTestChar, isAltGlyph, isGlyphOrientationAuto, isLatinChar, isLeftToRight, isOnATextPath, isVertical, makeConvexHull, mergeAreas, setOffset, setScale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOFT_HYPHEN

    public static final char SOFT_HYPHEN

See Also:
  Constant Field Values

### ZERO_WIDTH_SPACE

    public static final char ZERO_WIDTH_SPACE

See Also:
  Constant Field Values

### ZERO_WIDTH_JOINER

    public static final char ZERO_WIDTH_JOINER

See Also:
  Constant Field Values

### SPACE

    public static final char SPACE

See Also:
  Constant Field Values

Constructor Detail

### FlowGlyphLayout

    public FlowGlyphLayout(AttributedCharacterIterator aci,
                           int[] charMap,
                           Point2D offset,
                           FontRenderContext frc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.